
DELETE FROM Building_YieldChangesPerPop WHERE BuildingType = 'BUILDING_PAPER_MAKER';
DELETE FROM Building_WLTKDYieldMod WHERE BuildingType = 'BUILDING_PAPER_MAKER';
UPDATE Buildings SET GoldMaintenance = '0' WHERE Type = 'BUILDING_PAPER_MAKER';

--INSERT INTO Building_YieldFromInternalTREnd
--			(BuildingType, 				YieldType, 			Yield)
--VALUES 		
--			('BUILDING_PAPER_MAKER', 	'YIELD_GOLD', 		20),
--			('BUILDING_PAPER_MAKER', 	'YIELD_SCIENCE', 	20);

UPDATE Traits SET ExpansionWLTKD = '0' WHERE Type = 'TRAIT_ART_OF_WAR';
UPDATE Traits SET GreatWorkWLTKD = '0' WHERE Type = 'TRAIT_ART_OF_WAR';
UPDATE Traits SET PermanentYieldsDecreaseEveryEra = '0' WHERE Type = 'TRAIT_ART_OF_WAR';
UPDATE Traits SET FreeBuilding = 'BUILDING_CHINA_TRAIT_DUMMY' WHERE Type = 'TRAIT_ART_OF_WAR';
DELETE FROM Trait_PermanentYieldChangeWLTKD WHERE TraitType = 'TRAIT_ART_OF_WAR';

INSERT INTO BuildingClasses 	
			(Type,									DefaultBuilding,				NoLimit)
VALUES		('BUILDINGCLASS_CHINA_TRAIT_DUMMY',		'BUILDING_CHINA_TRAIT_DUMMY',	1),
			('BUILDINGCLASS_CHINA_GROWTH_DUMMY',	'BUILDING_CHINA_GROWTH_DUMMY',	1),
			('BUILDINGCLASS_CHINA_8_DUMMY',			'BUILDING_CHINA_8_DUMMY',		1),
			('BUILDINGCLASS_PAPER_MAKER_DUMMY',		'BUILDING_PAPER_MAKER_DUMMY',	1);
			
INSERT INTO Buildings 	
			(Type,							BuildingClass,						Description,							CapitalOnly, 	GoldMaintenance,	Cost,	FaithCost,	GreatWorkCount, NeverCapture,	NukeImmune, ConquestProb,	HurryCostModifier,	IconAtlas,			PortraitIndex, IsDummy)
VALUES		('BUILDING_CHINA_TRAIT_DUMMY',	'BUILDINGCLASS_CHINA_TRAIT_DUMMY',	'TXT_KEY_BUILDING_CHINA_TRAIT_DUMMY',	0, 				0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 1),
			('BUILDING_CHINA_GROWTH_DUMMY',	'BUILDINGCLASS_CHINA_GROWTH_DUMMY',	'TXT_KEY_BUILDING_CHINA_GROWTH_DUMMY',	0, 				0,					-1,		-1,			-1,				0,				1,			100,			-1,					'CIV_COLOR_ATLAS',	0, 1),
			('BUILDING_CHINA_8_DUMMY',		'BUILDINGCLASS_CHINA_8_DUMMY',		'TXT_KEY_BUILDING_CHINA_8_DUMMY',		1, 				0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 1),
			('BUILDING_PAPER_MAKER_DUMMY',	'BUILDINGCLASS_PAPER_MAKER_DUMMY',	'TXT_KEY_BUILDING_PAPER_MAKER_DUMMY',	0, 				0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 1);

--INSERT INTO Building_WLTKDYieldMod
--			(BuildingType, 					YieldType, 		Yield)
--VALUES		('BUILDING_CHINA_TRAIT_DUMMY', 	'YIELD_GOLD', 	10);

INSERT INTO Building_BuildingClassLocalYieldChanges
			(BuildingType,					BuildingClassType,			YieldType,			YieldChange)
VALUES		('BUILDING_PAPER_MAKER_DUMMY',	'BUILDINGCLASS_LIBRARY',	'YIELD_SCIENCE',	2),
			('BUILDING_PAPER_MAKER_DUMMY',	'BUILDINGCLASS_LIBRARY',	'YIELD_GOLD',		2);

INSERT INTO Building_BuildingClassYieldChanges
			(BuildingType,				BuildingClassType,					YieldType,			YieldChange)
VALUES		('BUILDING_CHINA_8_DUMMY',	'BUILDINGCLASS_CHINA_TRAIT_DUMMY',	'YIELD_CULTURE',	1),
			('BUILDING_CHINA_8_DUMMY',	'BUILDINGCLASS_CHINA_TRAIT_DUMMY',	'YIELD_FOOD',		1);
			
UPDATE Language_en_US
SET Text = 'Whenever you create a [ICON_GREAT_WORK] Great Work on Empire, gain +2 [ICON_GOLD] Gold and [ICON_RESEARCH] Science in this City. Bonus declines by 50% every Era.[NEWLINE][NEWLINE] -1 [ICON_HAPPINESS_3] Unhappiness from [ICON_RESEARCH] Illiteracy. 1 Specialist in this City no longer produces [ICON_HAPPINESS_3] Unhappiness from Urbanization.[NEWLINE][NEWLINE]Requires a Council in the City.'
WHERE Tag = 'TXT_KEY_BUILDING_PAPER_MAKER_HELP';

UPDATE Language_en_US
SET Text = 'Every 5th [ICON_CITIZEN] Citizen in a City grants a "We Love the Empress Day", +1 [ICON_CULTURE] Culture, and +1 [ICON_FOOD] Food in all Cities. Bonuses decline by 50% every Era. +10% [ICON_FOOD] Food during "We Love the Empress Day."'
WHERE Tag = 'TXT_KEY_TRAIT_ART_OF_WAR';

INSERT INTO Language_en_US (Tag, Text)
VALUES
	('TXT_KEY_BUILDING_CHINA_TRAIT_DUMMY',		'China Dummy 1'),
	('TXT_KEY_BUILDING_CHINA_GROWTH_DUMMY',		'China Dummy 2'),
	('TXT_KEY_BUILDING_CHINA_8_DUMMY',			'China Dummy 3'),
	('TXT_KEY_BUILDING_PAPER_MAKER_DUMMY',		'China Dummy 4');