--=====================================================================================	
-- 4UC CIV COMPATIBILITY
--=====================================================================================
--SKIRMISHER CHANGES
INSERT INTO Unit_FreePromotions
		(UnitType,							PromotionType)
VALUES	
		('UNIT_CELTS_SCYTHED_CHARIOT', 		'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_POLAND_PANCERNY', 			'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_ARABIA_HASHEMITE_RAIDER', 	'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_CELTS_SCYTHED_CHARIOT', 		'PROMOTION_ROUGH_TERRAIN_HALF_TURN'),
		('UNIT_ASSYRIA_IRON_CHARIOT', 		'PROMOTION_ROUGH_TERRAIN_HALF_TURN');
		
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_CELTS_SCYTHED_CHARIOT' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');	
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_POLAND_PANCERNY' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');	
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_ARABIA_HASHEMITE_RAIDER' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');	

UPDATE Units SET Combat = 10 WHERE Type = 'UNIT_CELTS_SCYTHED_CHARIOT' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
UPDATE Units SET Combat = 22 WHERE Type = 'UNIT_POLAND_PANCERNY' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
UPDATE Units SET Combat = 58 WHERE Type = 'UNIT_ARABIA_HASHEMITE_RAIDER' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');	
	
UPDATE Units SET RangedCombat = 8 WHERE Type = 'UNIT_CELTS_SCYTHED_CHARIOT' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
UPDATE Units SET RangedCombat = 15 WHERE Type = 'UNIT_POLAND_PANCERNY' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
UPDATE Units SET RangedCombat = 58 WHERE Type = 'UNIT_ARABIA_HASHEMITE_RAIDER' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');	

-- Adjust ancient/classical unit combat stats
UPDATE Units SET Combat = 17 WHERE Type = 'UNIT_AZTEC_EAGLE' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');

UPDATE Units SET
	PrereqTech 		= 'TECH_CALENDAR', 
	ObsoleteTech 	= 'TECH_MACHINERY',
	Combat			= 8,
	RangedCombat	= 11,
	Cost 			= 70
WHERE Type = 'UNIT_INDIA_DHANURAASHI' AND EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');