--==========================================================================================================================	
-- Korea Rework
--==========================================================================================================================
--UA Rework
-------------------
UPDATE Traits SET GoldenAgeGreatArtistRateModifier = '0' WHERE Type = 'TRAIT_SCHOLARS_JADE_HALL';
UPDATE Traits SET GoldenAgeGreatMusicianRateModifier = '0' WHERE Type = 'TRAIT_SCHOLARS_JADE_HALL';
UPDATE Traits SET GoldenAgeGreatWriterRateModifier = '0' WHERE Type = 'TRAIT_SCHOLARS_JADE_HALL';

DELETE FROM Trait_GoldenAgeGreatPersonRateModifier WHERE TraitType = 'TRAIT_SCHOLARS_JADE_HALL';

INSERT INTO Trait_GoldenAgeYieldModifiers
		(TraitType, 					YieldType, 			Yield)
VALUES	('TRAIT_SCHOLARS_JADE_HALL', 	'YIELD_SCIENCE', 	20);
---------------------
--Seowon rework
---------------------
DELETE FROM Building_YieldChanges WHERE BuildingType = 'BUILDING_SEOWON';
DELETE FROM Building_GoldenAgeYieldMod WHERE BuildingType = 'BUILDING_SEOWON';
UPDATE Buildings SET PrereqTech = 'TECH_EDUCATION' WHERE Type = 'BUILDING_SEOWON';

INSERT INTO Building_YieldChanges
		(BuildingType, YieldType, Yield)
VALUES	('BUILDING_SEOWON', 'YIELD_SCIENCE', 3),
		('BUILDING_SEOWON', 'YIELD_CULTURE', 2);

INSERT INTO Building_ImprovementYieldChanges
		(BuildingType, 		ImprovementType,	YieldType,			Yield)
SELECT	'BUILDING_SEOWON', 	Type, 				'YIELD_SCIENCE', 	1
FROM Improvements WHERE CreatedByGreatPerson = 1;

INSERT INTO Building_ImprovementYieldChanges
		(BuildingType, 		ImprovementType,	YieldType,			Yield)
SELECT	'BUILDING_SEOWON', 	Type, 				'YIELD_PRODUCTION', 1
FROM Improvements WHERE CreatedByGreatPerson = 1;

CREATE TRIGGER VP_SeowonCompatibility_GPTIs
AFTER INSERT ON Improvements 
WHEN NEW.CreatedByGreatPerson = 1
BEGIN
	INSERT INTO Building_ImprovementYieldChanges
				(BuildingType, 		ImprovementType,	YieldType,			Yield)
	SELECT		'BUILDING_SEOWON', 	NEW.Type, 			'YIELD_SCIENCE', 	1;
	INSERT INTO Building_ImprovementYieldChanges
				(BuildingType, 		ImprovementType,	YieldType,			Yield)
	SELECT		'BUILDING_SEOWON', 	NEW.Type, 			'YIELD_PRODUCTION', 1;
END;
---------------------
--Hwacha rework
---------------------
INSERT INTO UnitPromotions 
		(Type,							MovesChange,	SplashDamage,	PlagueChance,	PlaguePromotion,				PlagueID,	PromotionDuration,	CannotBeChosen, LostWithUpgrade, PortraitIndex,	IconAtlas,			PediaType,		PediaEntry,								Description,							Help,										Sound)
VALUES	('PROMOTION_KOREA_SINGIJEON',	0,				5,				100,			'PROMOTION_KOREA_SUPPRESSED',	-1,			0,					1,				0,				 55,			'extraPromo_Atlas',	'PEDIA_SIEGE',	'TXT_KEY_PROMOTION_KOREA_SINGIJEON',	'TXT_KEY_PROMOTION_KOREA_SINGIJEON',	'TXT_KEY_PROMOTION_KOREA_SINGIJEON_HELP',	'AS2D_IF_LEVELUP'),
		('PROMOTION_KOREA_SUPPRESSED',	-1,				0,				0,				null,							2,			2,					1,				0,				 50,			'extraPromo_Atlas',	'PEDIA_SIEGE',	'TXT_KEY_PROMOTION_KOREA_SUPPRESSED',	'TXT_KEY_PROMOTION_KOREA_SUPPRESSED',	'TXT_KEY_PROMOTION_KOREA_SUPPRESSED_HELP',	'AS2D_IF_LEVELUP');

DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_KOREAN_HWACHA';
UPDATE Civilization_UnitClassOverrides SET UnitClassType = 'UNITCLASS_CANNON' WHERE UnitType = 'UNIT_KOREAN_HWACHA';
UPDATE Units SET Class = 'UNITCLASS_CANNON' 				WHERE Type = 'UNIT_KOREAN_HWACHA';
UPDATE Units SET Cost = 350 								WHERE Type = 'UNIT_KOREAN_HWACHA';
UPDATE Units SET FaithCost = 400 							WHERE Type = 'UNIT_KOREAN_HWACHA';
UPDATE Units SET PrereqTech = 'TECH_GUNPOWDER' 				WHERE Type = 'UNIT_KOREAN_HWACHA';
UPDATE Units SET ObsoleteTech = 'TECH_BALLISTICS' 			WHERE Type = 'UNIT_KOREAN_HWACHA';
UPDATE Units SET Combat = 16								WHERE Type = 'UNIT_KOREAN_HWACHA';
UPDATE Units SET RangedCombat = 32 							WHERE Type = 'UNIT_KOREAN_HWACHA';
UPDATE Units SET GoodyHutUpgradeUnitClass = 'UNITCLASS_FIELD_GUN' 	WHERE Type = 'UNIT_KOREAN_HWACHA';
UPDATE Unit_ClassUpgrades SET UnitClassType = 'UNITCLASS_FIELD_GUN' WHERE UnitType = 'UNIT_KOREAN_HWACHA';
UPDATE Unit_BuildingClassPurchaseRequireds SET BuildingClassType = 'BUILDINGCLASS_ARMORY' WHERE UnitType = 'UNIT_KOREAN_HWACHA';

DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_KOREAN_HWACHA' AND PromotionType = 'PROMOTION_LOGISTICS';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_KOREAN_HWACHA' AND PromotionType = 'PROMOTION_NO_DEFENSIVE_BONUSES';

INSERT INTO Unit_FreePromotions
		(UnitType, 				 PromotionType)
VALUES	('UNIT_KOREAN_HWACHA', 	'PROMOTION_KOREA_SINGIJEON'),
		('UNIT_KOREAN_HWACHA', 	'PROMOTION_FIELD_I');
		
--==========================================================
--TEXT
--==========================================================
UPDATE Language_en_US
SET Text = '+1 [ICON_RESEARCH] Science from Specialists, increasing by +1 in Medieval, Industrial, and Atomic Eras. +20% [ICON_RESEARCH] Science during [ICON_GOLDEN_AGE] Golden Ages, and +50 [ICON_GOLDEN_AGE] Golden Age Points when a [ICON_GREAT_PEOPLE] Great Person is born, scaling with Era.'
WHERE Tag = 'TXT_KEY_TRAIT_SCHOLARS_JADE_HALL';		

UPDATE Language_en_US
SET Text = '+1 [ICON_RESEARCH] Science from Jungle and Snow tiles worked by the City. +1 [ICON_RESEARCH] Science and [ICON_PRODUCTION] Production from [ICON_GREAT_WORK] Great Works in the City and all nearby Great Person Tile Improvements. Gain 50% of the [ICON_RESEARCH] Science output of the City as an instant boost to your current Research when a [ICON_CITIZEN] Citizen is born in this City.[NEWLINE][NEWLINE]-1 [ICON_HAPPINESS_3] Unhappiness from [ICON_RESEARCH] Illiteracy.'
WHERE Tag = 'TXT_KEY_BUILDING_SEOWON_HELP';

UPDATE Language_en_US
SET Text = 'Unique Korean replacement for the University. Generates more Science and Culture than the University. The increased yields on Great Person Tiles reward you for producing Great People from the specialists boosted by Korea''s Unique Ability.'
WHERE Tag = 'TXT_KEY_BUILDING_SEOWON_STRATEGY';

UPDATE Language_en_US
SET Text = 'Korean replacement for the Cannon. Does not require [ICON_RES_IRON] Iron[NEWLINE][NEWLINE]Benefits from terrain defense and has the [COLOR_POSITIVE_TEXT]Field I[ENDCOLOR] promotion for free, but does not have a bonus against Cities. When attacking an enemy unit, deals 5 bonus splash damage to hostile Units adjacent to the target and within range, and temporarily reduces the movement of the target.'
WHERE Tag = 'TXT_KEY_CIV5_KOREA_HWACHA_HELP';

UPDATE Language_en_US
SET Text = 'The Hwacha is able to provide covering fire for your field armies while slowing down enemy movement and benefiting from terrain defense. Use these advantages to wear out your adversaries with continuous salvos, or mass Hwachas against their cities to bring them down while benefiting from surrounding terrain.'
WHERE Tag = 'TXT_KEY_CIV5_KOREA_HWACHA_STRATEGY';

INSERT INTO Language_en_US (Tag, Text)
VALUES
	('TXT_KEY_PROMOTION_KOREA_SINGIJEON',		'Singijeon'),
	('TXT_KEY_PROMOTION_KOREA_SINGIJEON_HELP',	'When attacking, deals 5 bonus splash damage to hostile Units adjacent to the target and within range, and inflicts the [COLOR_NEGATIVE_TEXT]Suppressed[ENDCOLOR] plague for 2 turns, which reduces movement by 1.'),
	('TXT_KEY_PROMOTION_KOREA_SUPPRESSED',		'Suppressed'),
	('TXT_KEY_PROMOTION_KOREA_SUPPRESSED_HELP',	'-1 [ICON_ARROW_RIGHT] Movement');

